Bug 131665 - There is a small (3 or 4 seconds) delay between pressing save & the status bar appearing in a document with a lot of tables
Summary: There is a small (3 or 4 seconds) delay between pressing save & the status ba...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Save
  Show dependency treegraph
 
Reported: 2020-03-29 14:30 UTC by Telesto
Modified: 2022-05-02 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (229.65 KB, application/vnd.oasis.opendocument.text)
2020-03-29 14:31 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-03-29 14:30:59 UTC
Description:
There is a small (3 or 4 seconds) delay between pressing save & the status bar appearing

Steps to Reproduce:
1. Open the attached file
2. File -> Save As -> Choose a name & save

Actual Results:
4 seconds delay before savings really starts

Expected Results:
Saving starts directly 


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 7ae9c9572ccac55c0926b8a9779bb63c4236291c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

nearly not in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 1 Telesto 2020-03-29 14:31:16 UTC
Created attachment 159122 [details]
Example file
Comment 2 Dieter 2020-04-16 13:39:55 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 962b415edb47187737a5f05c4ff3f6724a19c564
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

But I also think, this bug is limited to specific documents (sample document contains more than 2000 tables)
Comment 3 QA Administrators 2022-04-17 03:30:19 UTC Comment hidden (obsolete)
Comment 4 Dieter 2022-05-02 19:11:54 UTC
Retested with

Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 83d0f2eebae41d431d9a5bfd1a918523977752d0
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

"Saving document" appears immediately, althogh it takes some time until you can see something in progress bar.

So I would say saving starts directly => RESOLVED WORKSFORME